package com.kingdee.eas.custom.szpgm.osf.service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.szpgm.osf.task.CardToShrOSFService;
import com.kingdee.shr.ats.service.TransmitPunchCardRecordService;
import com.kingdee.shr.ats.web.util.HRTimeWebUtils;


import java.sql.Timestamp;
import java.util.*;

public class TransmitPunchCardRecordExService extends TransmitPunchCardRecordService {


    public Object process(Context ctx, Map param) throws EASBizException, BOSException {
        String records = (String)param.get("records");
        System.out.println(records);
        JSONArray recordsJson = JSON.parseArray(records);
        CardToShrOSFService cardToShrOSFService = new CardToShrOSFService();
        return cardToShrOSFService.saveCards(ctx,recordsJson);
    }
}
